/*
LiquidCrystal test
www.mcuboard.com

  The circuit:
 * LCD RS pin to digital pin 12
 * LCD Enable pin to digital pin 11
 * LCD D4 pin to digital pin 5
 * LCD D5 pin to digital pin 4
 * LCD D6 pin to digital pin 3
 * LCD D7 pin to digital pin 2
 * LCD R/W pin to ground
 * LCD VSS pin to ground
 * LCD VCC pin to 5V
 * 10K resistor:
 * ends to +5V and ground
 * wiper to LCD VO pin (pin 3)

*/

// LiquidCrystal 라이브러리 포함
#include <LiquidCrystal.h>

// 아두이노에 연결된 lcd핀 라이브러리 초기화
const int rs = 12, en = 11, d4 = 5, d5 = 4, d6 = 3, d7 = 2;
LiquidCrystal lcd(rs, en, d4, d5, d6, d7);

void setup() 
{
  // lcd의 행렬 수 설정(열,행)
  lcd.begin(16, 2);

}

void loop() 
{
  // 커서 설정(열,행) 0부터 시작
  lcd.setCursor(0, 0);
  lcd.print("hello,");
  
  lcd.setCursor(0, 1);
  lcd.print("world!");

}
